> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reap.global/llms.txt
> Use this file to discover all available pages before exploring further.

# List shipments

> Returns a paginated list of card shipments, most recent first.



## OpenAPI

````yaml /api-reference/openapi.json get /card-shipments/
openapi: 3.1.0
info:
  title: Reap API
  version: 1.0.0
  description: Reap platform API
servers:
  - url: https://sandbox.api.reap.global
    description: Sandbox
  - url: https://prod.api.reap.global
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Accounts
  - name: Activities
  - name: Card Designs
  - name: Card Shipments
  - name: Card Transactions
  - name: Cards
  - name: Companies
  - name: Crypto Deposits
  - name: Policies
  - name: Simulation
  - name: Users
  - name: Virtual Asset Postings
  - name: Virtual Assets
  - name: Webhooks
paths:
  /card-shipments/:
    get:
      tags:
        - Card Shipments
      summary: List shipments
      description: Returns a paginated list of card shipments, most recent first.
      operationId: list_card-shipments
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            default: 20
            examples:
              - 20
              - 50
              - 100
            description: 'Maximum number of items to return (1-100, default: 20)'
            type: integer
            exclusiveMinimum: 0
            maximum: 100
        - name: cursor
          in: query
          required: false
          schema:
            description: >-
              Opaque cursor for pagination. Pass nextCursor from previous
              response to get next page.
            type: string
        - name: status
          in: query
          required: false
          schema:
            description: Filter shipments by status
            type: string
            enum:
              - DRAFT
              - PLACED
              - IN_PRODUCTION
              - READY_TO_SHIP
              - IN_TRANSIT
              - OUT_FOR_DELIVERY
              - DELIVERED
              - DELIVERY_FAILED
              - EXCEPTION
              - CANCELED
            example: DRAFT
        - name: Reap-Version
          in: header
          required: true
          schema:
            type: string
            enum:
              - '2025-02-14'
            description: API version (YYYY-MM-DD)
            example: '2025-02-14'
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/CardShipment'
                      description: Card shipment resource
                  nextCursor:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Cursor for next page, or null if no more items
                required:
                  - items
                  - nextCursor
components:
  schemas:
    CardShipment:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique shipment identifier
        status:
          type: string
          enum:
            - DRAFT
            - PLACED
            - IN_PRODUCTION
            - READY_TO_SHIP
            - IN_TRANSIT
            - OUT_FOR_DELIVERY
            - DELIVERED
            - DELIVERY_FAILED
            - EXCEPTION
            - CANCELED
          description: Shipment lifecycle status
          example: DRAFT
        destinationAddress:
          $ref: '#/components/schemas/CardShippingAddress'
          description: Box-level destination address
        recipient:
          $ref: '#/components/schemas/CardShipmentRecipient'
        courier:
          type: object
          properties:
            type:
              type: string
              enum:
                - POSTAL
                - COURIER
              description: Courier delivery method
              example: POSTAL
            name:
              anyOf:
                - type: string
                - type: 'null'
              description: Courier name
          required:
            - type
            - name
          description: Courier selection
        trackingNumber:
          anyOf:
            - type: string
            - type: 'null'
          description: Courier tracking number
        trackingUrl:
          anyOf:
            - type: string
            - type: 'null'
          description: Courier tracking URL
        cutoffDate:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO 8601 cutoff date returned by the manufacturer
        createdAt:
          type: string
          description: ISO 8601 creation timestamp
        updatedAt:
          type: string
          description: ISO 8601 last update timestamp
        submittedAt:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO 8601 timestamp when submitted to the manufacturer
        deliveredAt:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO 8601 timestamp when all cards were delivered
      required:
        - id
        - status
        - destinationAddress
        - recipient
        - courier
        - trackingNumber
        - trackingUrl
        - cutoffDate
        - createdAt
        - updatedAt
        - submittedAt
        - deliveredAt
    CardShippingAddress:
      type: object
      properties:
        line1:
          type: string
          minLength: 1
          description: Street address line 1
        line2:
          anyOf:
            - type: string
            - type: 'null'
          description: Street address line 2
        zone:
          anyOf:
            - type: string
            - type: 'null'
          description: State, province, or zone
        city:
          type: string
          minLength: 1
          description: City
        postalCode:
          type: string
          minLength: 1
          description: Postal code
        country:
          type: string
          minLength: 2
          maxLength: 2
          examples:
            - US
            - GB
            - DE
          description: ISO 3166-1 alpha-2 country code
      required:
        - line1
        - line2
        - zone
        - city
        - postalCode
        - country
      description: Shipping address
    CardShipmentRecipient:
      type: object
      properties:
        firstName:
          type: string
          minLength: 1
          description: Recipient first name
        lastName:
          type: string
          minLength: 1
          description: Recipient last name
        phoneNumber:
          type: string
          minLength: 1
          description: Recipient phone number
        dialCode:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
          description: Phone dial code
        email:
          type: string
          format: email
          pattern: >-
            ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
          description: Recipient email address
      required:
        - firstName
        - lastName
        - phoneNumber
        - dialCode
        - email
      description: Recipient details
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key as Bearer token

````